"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.setDefaults = setDefaults;
const devkit_1 = require("@nx/devkit");
function setDefaults(host, options) {
    const nxJson = (0, devkit_1.readNxJson)(host);
    nxJson.generators = nxJson.generators || {};
    nxJson.generators['@nx/react'] = nxJson.generators['@nx/react'] || {};
    const prev = { ...nxJson.generators['@nx/react'] };
    const libDefaults = {
        ...prev.library,
        unitTestRunner: prev.library?.unitTestRunner ?? options.unitTestRunner,
    };
    nxJson.generators = {
        ...nxJson.generators,
        '@nx/react': {
            ...prev,
            library: libDefaults,
        },
    };
    (0, devkit_1.updateNxJson)(host, nxJson);
}
